Bug 718367 - zoneminder /cgi-bin/nph-zms Error 403.
Summary: zoneminder /cgi-bin/nph-zms Error 403.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: zoneminder
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jason Tibbitts
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-07-02 02:25 UTC by John Ellson
Modified: 2011-10-06 00:05 UTC (History)
2 users (show)

Fixed In Version: zoneminder-1.24.4-3.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-06 00:05:28 UTC
Type: ---


Attachments (Terms of Use)

Description John Ellson 2011-07-02 02:25:05 UTC
Description of problem:
/usr/libexec/zoneminder/cgi-bin/nph-zms from zoneminder is not found by apache at /cgi-bin/nph-zms

Referer is http://localhost/zm/index.php?view=watch&mid=1


Version-Release number of selected component (if applicable):
zoneminder-1.24.3-4.20110324svn3310.fc15.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Click on the "name" of a monitor connected to a camera.
2.
3.
  
Actual results:
Web page shows a broken image icon (error 403)

Expected results:
An image from the monitored camera

Additional info:

Work-around is to:
  cp /usr/libexec/zoneminder/cgi-bin/nph-zms /var/www/cgi-bin/

Comment 1 Jason Tibbitts 2011-09-16 02:15:14 UTC
I haven't been able to reproduce this with the current package in updates-testing, even though I haven't made any changes to that area.  There's a scriptalias that maps /cgi-bin/zm to /usr/libexec/zoneminder/cgi-bin, and at least with the default configuration as installed, /cgi-bin/zm/nph-zms is where the viewer pages get the images.  I can't explain what might refer to /cgi-bin/nph-zms (without the "/zm") unless you've made other configuration changes.

So I can either assume that this is somehow fixed by the current package, or the issue lies with your configuration somehow.  I'm going to assume the former and tack this ticket onto the update.

Comment 2 Jason Tibbitts 2011-09-16 02:23:59 UTC
Actually I did confirm that the issue was with the package.  However, note that the path to nph-zms is a runtime configurable (PATH_ZMS, on the Paths tab of the Options window) so updating the package will not fix the problem for you.  Simply changing that option is better than copying the file around, though, and in fact if you have copied the file there's no guarantee that the old nph-zms will work with the new package.

Comment 3 Fedora Update System 2011-09-16 02:24:43 UTC
zoneminder-1.24.4-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/zoneminder-1.24.4-3.fc15

Comment 4 Fedora Update System 2011-09-18 00:59:42 UTC
Package zoneminder-1.24.4-3.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing zoneminder-1.24.4-3.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/zoneminder-1.24.4-3.fc15
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2011-10-06 00:05:28 UTC
zoneminder-1.24.4-3.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.